Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.instrument
Class Noun

`java.lang.Object
oracle.dms.instrument.Noun`

public class Noun
extends java.lang.Object

`Noun` objects are used to organize the DMS name hierarchy. Nouns may contain Sensors or other Nouns. Generally, Nouns correspond program objects that are to be measured. By convention, Noun names start with a capital letter to distinguish them from Sensors. Character '/' is the default delimiter between Noun names. It is not recommanded that '/' is used as a part of the Noun name.

A Noun type is a name that reflects the set of metrics being collected. By convention, Noun type names are prefixed with the component name followed by an underscore. It is recommended that Nouns of the same type should have the same set of the metrics.

Field Summary
`static java.lang.String` | `UNKNOWN_TYPE` The default Noun type.

Method Summary
`static Noun` | `create(Noun parent, java.lang.String name, java.lang.String type)` Creates a new Noun given a Noun parent, and a basename for the new Noun (not a pathname)
`static Noun` | `create(java.lang.String pathname, java.lang.String type)` Creates a new Noun given a pathname.
`void` | `destroy()` Destroys the Noun and all of its descendants.
`static Noun` | `get(java.lang.String pathname)` Returns a Noun given the Noun's pathname
`static Noun` | `getRoot()` Returns the root Noun for this JVM
`java.lang.String` | `getType()` Returns the type of a Noun as a String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_TYPE

    public static final java.lang.String UNKNOWN_TYPE

  The default Noun type. DMS does not export Nouns and their child metrics of this Noun type. Nouns with UNKNOWN_TYPE can be useful for organizing Nouns.
  Since:
    Oracle iAS 9.0.2
  See Also:
    Constant Field Values

Method Detail

### create

    public static Noun create(java.lang.String pathname,
                              java.lang.String type)

  Creates a new Noun given a pathname.
  Parameters:
    `pathname` - the pathname of the Noun
    `type` - name of type for the Noun
  Returns:
    the new Noun or, if the Noun already exists, then this method returns a reference to it.
  Since:
    Oracle iAS 1.0.2.2

### create

    public static Noun create(Noun parent,
                              java.lang.String name,
                              java.lang.String type)

  Creates a new Noun given a Noun parent, and a basename for the new Noun (not a pathname)
  Parameters:
    `parent` - the Noun's parent
    `name` - the Noun's short basename (not a pathname).
    `type` - the Noun's type
  Returns:
    the new Noun or, if the Noun already exists, then this method returns a reference to it.
  Since:
    Oracle iAS 1.0.2.2

### getType

    public java.lang.String getType()

  Returns the type of a Noun as a String.
  Returns:
    the type of a Noun as a String. Returns `UNKNOWN_TYPE` if the type was not explicitly set.
  Since:
    Oracle iAS 9.0.2

### get

    public static Noun get(java.lang.String pathname)

  Returns a Noun given the Noun's pathname
  Parameters:
    `pathname` - the pathname of the in the form <delim>name<delim>name... examples: `/Wisconsin/Green/Monroe.Oregon.Multnomah.Portland` etc.
  Returns:
    the Noun specified by pathname, or `null` if the Noun cannot be found.
  Since:
    Oracle iAS 1.0.2.2

### getRoot

    public static Noun getRoot()

  Returns the root Noun for this JVM
  Returns:
    the root Noun for this JVM
  Since:
    Oracle iAS 1.0.2.2

### destroy

    public void destroy()

  Destroys the Noun and all of its descendants.
  Since:
    Oracle iAS 1.0.2.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.